import { Test, TestingModule } from '@nestjs/testing';
import { PostController } from './post.controller';
import { PostService } from './post.service';
import { getRepositoryToken } from '@nestjs/typeorm';
import { Post } from './post.entity';
import { Comment } from '../comment/comment.entity';

const mockPost = new Post();
const mockComment = new Comment();

describe('PostController', () => {
  let controller: PostController;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      controllers: [PostController],
      providers: [
        PostService,
        {
          provide: getRepositoryToken(Post),
          useValue: {
            save: jest.fn().mockResolvedValue(mockPost),
            find: jest.fn().mockResolvedValue([mockPost]),
          },
        },
        {
          provide: getRepositoryToken(Comment),
          useValue: {
            save: jest.fn().mockResolvedValue(mockComment),
            find: jest.fn().mockResolvedValue([mockComment]),
          },
        },
      ],
    }).compile();

    controller = module.get<PostController>(PostController);
  });

  it('should be defined', () => {
    expect(controller).toBeDefined();
  });
});
